MongoRegex::__construct
MongoBinData
MongoRegex
PHP Manual

# MongoRegex::__toString

(PECL mongo >= 0.8.1)

MongoRegex::__toString — A string representation of this regular expression

### Description

public string MongoRegex::__toString ( void )

Returns a string representation of this regular expression.

### Parameters

This function has no parameters.

### Return Values

This regular expression in the form "/expr/flags".

### Examples

Example #1 MongoRegex::__toString() example

`<?php
$r = new MongoRegex( "/[a-fA-F0-9]{16}/g" );
echo $r->regex . "\n";
echo $r->flags . "\n";
echo "$r\n";
?>`

The above example will output something similar to:

    [a-fA-F0-9]{16}
    g
    /[a-fA-F0-9]{16}/g

MongoRegex::__construct
MongoBinData
MongoRegex
PHP Manual